Subject: [Rats] Some Feedback on CHARRA

From: William Bellingrath <[email-masked]>
Date: Thu, 17 Sep 2020 00:38:37 +0000

Hi all,

We have been discussing the CHARRA yang module, and I would like to float back some feedback and recommendations from my colleagues.
Comments are predominantly aimed at naming conventions, or ease of reading, and are just suggestions.

1.
module ietf-tpm-remote-attestation {
  namespace "urn:ietf:params:xml:ns:yang:ietf-tpm-remote-attestation";
  prefix "tpm";

  import ietf-yang-types {
    prefix yang;
  }
  import ietf-hardware {
    prefix ietfhw;
  }
  import ietf-keystore {
    prefix ks;
  }
  import ietf-tcg-algs {
    prefix taa;
  }
Recommend these prefix names changed to something easier to read.

2.
...
must "/tpm:rats-support-structures/tpm:attester-supported-algos"
         + "/tpm:tpm20-asymmetric-signing";
 ...

Recommend adding an error message or description with the “must” statements.

3. For all identity naming, recommend using '-' instead of '_'.
E.x. grouping TPM2_Algo, grouping TPM12_Algo, etc

4.
      leaf revMajor {
…
      leaf revMinor {
…
Recommend renaming these to ‘rev-major’ and ‘rev-minor’

Thanks,
William Bellingrath

Juniper Business Use Only

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Thu, 17 Sep 2020 13:35:20 +0000

Hi William,

Thanks very much for the suggestions.  Thoughts in-line...

> From: William Bellingrath, September 16, 2020 8:39 PM
> 
>  Hi all,
> 
> We have been discussing the CHARRA yang module, and I would like to float
> back some feedback and recommendations from my colleagues.

IETF YANG conventions are to have short prefixes.  As noted in RFC 8407, Section 4.2:
"Prefix values SHOULD be short but are also likely to be unique."

This was recently revalidated in an IESG review:

https://mailarchive.ietf.org/arch/msg/sfc/miYTals3g56kSV34Igrm83Pw_Xg/
"Prefix ietf-pot-profile is cumbersome - 3-5 characters is more than
enough for a prefix"

>          + "/tpm:tpm20-asymmetric-signing";  ...
> 

This makes sense.   I have added.   

> E.x. grouping TPM2_Algo, grouping TPM12_Algo, etc

Change made for all identities in CHARRA using '-'.    

> Recommend renaming these to ‘rev-major’ and ‘rev-minor’

Change made.

Current state of YANG model based on your suggestions above is in a pull request at:
https://github.com/ietf-rats-wg/basic-yang-module/pull/16/commits

Eric